﻿using System;
using System.Collections.Generic;
using System.Text;
using SQLite;
using Todolist.Commons;

namespace Todolist.Models
{
    public class TodoModel : BindableBase
    {
        private string _title;
        private string _content;

        /// <summary>
        /// Id
        /// </summary>
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        /// <summary>
        /// Title
        /// </summary>
        public string Title
        {
            get { return _title; }
            set { SetProperty(ref _title ,value); }
        }
        /// <summary>
        /// Content
        /// </summary>
        public string Content
        {
            get { return _content; }
            set { SetProperty(ref _content ,value); }
        }

        private string _status;

        /// <summary>
        /// Status
        /// </summary>
        public string Status
        {
            get{return _status;}
            set { SetProperty(ref _status, value); }
        }
        /// <summary>
        /// Created
        /// </summary>
        public DateTime Created { get; set; }
        /// <summary>
        /// Updated
        /// </summary>
        public DateTime Updated { get; set; }
    }
}
